### Function

# WPEPlatform BufferDMABufFormatsBuilder new

#### Declaration [src]

    WPEBufferDMABufFormatsBuilder*
    wpe_buffer_dma_buf_formats_builder_new (
      const char* device
    )

#### Description [src]

Create a new `WPEBufferDMABufFormatsBuilder`.

#### Parameters

`device`

  Type: `const char*`

  The main DRM device.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WPEBufferDMABufFormatsBuilder`

A new `WPEBufferDMABufFormatsBuilder`.

The caller of the function takes ownership of the data, and is responsible for freeing it.